<?xml version="1.0"?>
<!-- This file is autogenerated; comments and unknown tags will be stripped -->
<mamecheat version="1">
	<cheat desc="Finish this Round Now!">
		<script state="on">
			<action>maincpu.pb@1002BD=00</action>
		</script>
	</cheat>
	<cheat desc="Kill 1st Boss Now!">
		<script state="on">
			<action>maincpu.pb@10B17B=00</action>
		</script>
	</cheat>
	<cheat desc="Kill Cemetery Boss Now!">
		<script state="on">
			<action>maincpu.pb@10B157=00</action>
		</script>
	</cheat>
	<cheat desc="Kill Toy Boss Now!">
		<script state="on">
			<action>maincpu.pb@10B157=00</action>
		</script>
	</cheat>
	<cheat desc="Kill Jurassic Boss Now!">
		<script state="on">
			<action>maincpu.pb@10B167=00</action>
		</script>
	</cheat>
	<cheat desc="Kill Park Boss Now!">
		<script state="on">
			<action>maincpu.pb@10B17B=00</action>
		</script>
	</cheat>
	<cheat desc="Kill Japanese Boss Now!">
		<script state="on">
			<action>maincpu.pb@10B157=00</action>
		</script>
	</cheat>
	<cheat desc="Kill Jungle Boss Now!">
		<script state="on">
			<action>maincpu.pb@10B173=00</action>
		</script>
	</cheat>
	<cheat desc="Kill Level 7 Boss Now!">
		<script state="on">
			<action>maincpu.pb@10B15F=00</action>
		</script>
	</cheat>
	<cheat desc="Kill Level 8 Boss Now!">
		<script state="on">
			<action>maincpu.pb@10B177=00</action>
		</script>
	</cheat>
	<cheat desc="Kill Level 9 Boss Now!">
		<script state="on">
			<action>maincpu.pb@10B16F=00</action>
		</script>
	</cheat>
	<cheat desc="Infinite Bonus Time">
		<comment><![CDATA[
Turn this cheat OFF before you finish the Bonus Level
		]]></comment>
		<script state="run">
			<action>maincpu.pb@101C16=1E</action>
		</script>
	</cheat>
	<cheat desc=" " />
	<cheat desc="P1 Infinite Lives">
		<script state="run">
			<action>maincpu.pb@1002C1=03</action>
		</script>
	</cheat>
	<cheat desc="P1 Always have Speed Up">
		<script state="run">
			<action>maincpu.pb@10B4DD=28</action>
		</script>
	</cheat>
	<cheat desc="P1 Always have Super Punch">
		<script state="run">
			<action>maincpu.pb@10B4DE=01</action>
		</script>
	</cheat>
	<cheat desc="P1 Invincibility">
		<script state="run">
			<action>maincpu.pb@10A2DD=02</action>
		</script>
	</cheat>
	<cheat desc=" " />
	<cheat desc="P2 Infinite Lives">
		<script state="run">
			<action>maincpu.pb@1002C3=03</action>
		</script>
	</cheat>
	<cheat desc="P2 Always have Speed Up">
		<script state="run">
			<action>maincpu.pb@10B4E5=28</action>
		</script>
	</cheat>
	<cheat desc="P2 Always have Super Punch">
		<script state="run">
			<action>maincpu.pb@10B4E6=01</action>
		</script>
	</cheat>
	<cheat desc="P2 Invincibility">
		<script state="run">
			<action>maincpu.pb@10A2E5=02</action>
		</script>
	</cheat>
	<cheat desc=" " />
	<cheat desc="Select Cartridge/NeoGeo Type">
		<comment><![CDATA[
Use in conjunction with the 'Skip RAM/ROM Checks' cheat for the best effect, then enable it and reset. The Home (NEOGEO) setting may open up other aspects of the game or it may even make the game unplayable.
		]]></comment>
		<parameter>
			<item value="0x80">Arcade (MVS)</item>
			<item value="0x0">Home (NEOGEO)</item>
		</parameter>
		<script state="run">
			<action>maincpu.pb@10FD82=param</action>
		</script>
	</cheat>
	<cheat desc="Skip RAM/ROM Checks">
		<comment><![CDATA[
Also allows a quicker start-up without the green screens.
		]]></comment>
		<script state="on">
			<action>temp0 =maincpu.rd@C1315C</action>
			<action>temp1 =maincpu.rd@C1314E</action>
			<action>temp2 =maincpu.rd@C131E8</action>
			<action>temp3 =maincpu.rd@C13184</action>
			<action>temp4 =maincpu.rd@C1212E</action>
			<action>temp5 =maincpu.rd@C134FA</action>
		</script>
		<script state="off">
			<action>maincpu.rd@C1315C=temp0</action>
			<action>maincpu.rd@C1314E=temp1</action>
			<action>maincpu.rd@C131E8=temp2</action>
			<action>maincpu.rd@C13184=temp3</action>
			<action>maincpu.rd@C1212E=temp4</action>
			<action>maincpu.rd@C134FA=temp5</action>
		</script>
		<script state="run">
			<action condition="(maincpu.rd@C1315C==51CFFFF2)">maincpu.rd@C1315C=6000EB08</action>
			<action condition="(maincpu.rd@C1314E==51CFFFF2)">maincpu.rd@C1314E=6000EB16</action>
			<action condition="(maincpu.rd@C131E8==51CFFFF2)">maincpu.rd@C131E8=6000EA52</action>
			<action condition="(maincpu.rd@C13184==51CFFFF2)">maincpu.rd@C13184=6000EAB6</action>
			<action condition="(maincpu.rd@C1212E==51CFFFF2)">maincpu.rd@C1212E=6000EB36</action>
			<action condition="(maincpu.rd@C134FA==51CFFFF2)">maincpu.rd@C134FA=6000E892</action>
		</script>
	</cheat>
	<cheat desc="Infinite Credits">
		<comment><![CDATA[
Alternatively just set Free Play to ON in the Dip Switches menu
		]]></comment>
		<script state="run">
			<action>maincpu.rb@D00034=99</action>
		</script>
	</cheat>
</mamecheat>
